<?php get_header(); ?>
<body>
	<div id="container">
		<div id="banner">
			<h1><a accesskey="1" href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
			<h2 title="<?php bloginfo('description'); ?>"><?php bloginfo('description'); ?></h2>
		</div>
		
		<div id="center">
			<div class="content">
				<?php if ($posts) : foreach ($posts as $post) : start_wp(); ?>
				<div class="post">
					<div class="date"><?php the_time('F j, Y'); ?></div>
					<h2  id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<?php the_content(__('<strong>Read more...</strong>')); ?>
					<?php wp_link_pages(); ?>
					<p class="posted">Posted by <?php the_author_posts_link() ?> <?php _e("under"); ?> <?php the_category(',') ?> | <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?> <?php edit_post_link('|Edit this|'); ?> </p>
				</div>				
				<!-- <?php trackback_rdf(); ?>	-->
				<?php comments_template(); ?>
				<?php endforeach; else: ?>

				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>			
				<?php endif; ?>		
								
				<p><div align="center"><?php posts_nav_link('&nbsp;&nbsp;', __('<strong>&laquo; Previous Page</strong>'), __('<strong>Next Page &raquo;</strong>')); ?></div></p>						
			</div>
		</div>
		<div id="right">
		<?php get_sidebar(); ?>
			<div id="footer">
				<div class="copyright">
				<small>
				<span class="copy">Copyright &copy; <?php echo date("Y")." ";  ?>
				<strong><a title="<?php bloginfo('name'); ?>" href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a>
				</strong>
				</span>
				<br /><br />
				<span class="theme">
				| Powered by <a href="http://wordpress.org/" target="_blank" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>"><abbr title="WordPress">WordPress</abbr></a> <br /> | Theme by <a title="Sreejith R Krishnan" href="http://www.sr-ultimate.com/">Sreejith</a>, <a href="http://www.gfxedit.com/" title="GFXedit.com" >GFXedit.com</a> |
				</span>
				</small>
				</div>
			</div>	
		</div>
	</div>
</body>
</html>